#include <stdlib.h>

void *MALLOC(size_t size);
void *CALLOC(size_t size1,size_t size2);
void *REALLOC(void *buf, size_t size1);
void LL_TRANSFER()
{
}
void *LL_MALLOC(size_t size)
{
	return(malloc(size));
}
void *LL_FREE(void *block)
{
	free(block);
}
void main(void)
{
	int i;
	char *p1,*p2,*p3,*p4,*p5;
	p1 = MALLOC(100);
	p2 = MALLOC(100);
	p3 = MALLOC(100);
	p4 = MALLOC(100);
	p5 = MALLOC(100);
	FREE(p5);
	FREE(p1);
	FREE(p2);
	FREE(p4);
	FREE(p3);
	p1 = MALLOC(100);
	p2 = MALLOC(100);
	FREE(p1);
	p1 = MALLOC(50);
	p3 = MALLOC(100);
	p4 = MALLOC(20);
	FREE(p1);
	FREE(p2);
	FREE(p3);
	FREE(p4);
	p1 = MALLOC(100);
	p2 = MALLOC(100);
	p3 = MALLOC(100);
	p4 = MALLOC(100);
	FREE(p1);
	FREE(p2);
	FREE(p3);
	FREE(p4);
	p1 = MALLOC(50);
	for (i=0; i < 50; i++)
		p1[i] = 100-i;
	p2 = REALLOC(p1,50); 
	FREE( p1);
	p1 = CALLOC(5,10);
	FREE(p1);
	MEMDELETE();
}